%global modulename encoding

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-encoding
Version:        0.1.12
Release:        1%{?dist}
Summary:        Convert encodings, uses iconv by default and fallbacks to iconv-lite if needed

License:        MIT
URL:            https://github.com/andris9/encoding#readme
Source0:        https://registry.npmjs.org/encoding/-/encoding-0.1.12.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(iconv-lite) >= 0.4.13 with npmlib(iconv-lite) < 0.5.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
Convert encodings, uses iconv by default and fallbacks to iconv-lite if needed

%package 0.1.12
Summary:        Convert encodings, uses iconv by default and fallbacks to iconv-lite if needed


%description 0.1.12
Convert encodings, uses iconv by default and fallbacks to iconv-lite if needed

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .npmignore %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr .travis.yml %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr lib %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr test %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc README.md
%license LICENSE
%{nodejs_dir}/%{modulename}

%files 0.1.12
%doc README.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Fri Nov 16 2018 npm2srpm <dshea@redhat.com> - 0.1.12-1
- Package automatically generated by npm2srpm
